tut::reporter Class Reference

Default TUT callback handler. More...

`#include <tut_reporter.h>`

Inheritance diagram for tut::reporter:
[legend]
Collaboration diagram for tut::reporter:
[legend]

## Public Member Functions

| reporter ()
| reporter (std::ostream &out)
void | run_started ()
| Called when new test run started. More...
void | test_completed (const tut::test_result &tr)
| Called when a test finished. More...
void | run_completed ()
| Called when all tests in run completed. More...
bool | all_ok () const
Public Member Functions inherited from tut::callback
virtual | ~callback ()
| Virtual destructor is a must for subclassed types. More...
virtual void | group_started (const std::string &)
| Called when a group started. More...
virtual void | group_completed (const std::string &)
| Called when a group is completed. More...

## Public Attributes

int | ok_count
int | exceptions_count
int | failures_count
int | terminations_count
int | warnings_count

## Detailed Description

Default TUT callback handler.

## Constructor & Destructor Documentation

tut::reporter::reporter | ( |  | ) |

inline

tut::reporter::reporter | ( | std::ostream & | out | ) |

inline

## Member Function Documentation

bool tut::reporter::all_ok | ( |  | ) | const

inline

void tut::reporter::run_completed | ( |  | ) |

inline virtual

Called when all tests in run completed.

Reimplemented from tut::callback.

References tut::test_result::ex, tut::test_result::ex_ctor, tut::test_result::exception_typeid, exceptions_count, tut::test_result::fail, failures_count, tut::test_result::group, tut::test_result::message, ok_count, tut::test_result::result, tut::test_result::term, terminations_count, tut::test_result::test, tut::test_result::warn, and warnings_count.

void tut::reporter::run_started | ( |  | ) |

inline virtual

Called when new test run started.

Reimplemented from tut::callback.

void tut::reporter::test_completed | ( | const tut::test_result & |  | ) |

inline virtual

Called when a test finished.

Parameters

  tr | Test results.

Reimplemented from tut::callback.

References tut::test_result::ex, tut::test_result::ex_ctor, tut::test_result::fail, tut::test_result::group, tut::test_result::ok, tut::test_result::result, and tut::test_result::warn.

## Member Data Documentation

int tut::reporter::exceptions_count

Referenced by run_completed().

int tut::reporter::failures_count

Referenced by run_completed().

int tut::reporter::ok_count

Referenced by run_completed().

int tut::reporter::terminations_count

Referenced by run_completed().

int tut::reporter::warnings_count

Referenced by run_completed().

The documentation for this class was generated from the following file:

- tut_reporter.h